Appearance
Resources
Resource List
GET /api/v2/resource_list : List of resources along with the fields available for each resource.
The free_text_fields list in the response is the source of the custom field IDs used by Availability.
Example request
GET /api/v2/resource_list?api_secret_key=<api_secret_key>Example response
json
{
"data":[
{
"id":5721,
"title":"test audit",
"parts":[
{
"id":8795,
"title":"The only child"
}
]
},
{
"id":48,
"title":"Stefan Test",
"parts":[
{
"id":49,
"title":"Kleine Halle"
},
{
"id":50,
"title":"Gro\u00dfe Halle"
}
]
},
{
"id":51,
"title":"Matthias Dome",
"parts":[
{
"id":52,
"title":"Basketball Field"
},
{
"id":53,
"title":"Eishockey Field"
}
]
},
{
"id":47,
"title":"Sandkasten",
"parts":[
]
}
],
"total":4,
"free_text_fields":[
{
"id":1,
"name":"Persons",
"type":"numeric"
},
{
"id":2,
"name":"Seat Type",
"type":"select",
"options":[
"A",
"B"
]
}
],
"success":true
}Resource
GET /api/v2/resource/<resource-id> : Details of resource based on ID.
Example request
GET /api/v2/resource/51?api_secret_key=<api_secret_key>Example response
json
{
"data":{
"id":51,
"manager":46,
"title":"Matthias Dome",
"image":"https:\/\/app.locaboo\/files\/location\/51\/thumb_Buzz Aldrin on the moon_HD.jpg",
"category_id":564,
"category_name":"Box",
"street_hnr":"",
"zip":"",
"city":"",
"country":"DE",
"phone":"",
"fax":"",
"public_comment":"",
"today_opening_times": [
[
"10:30",
"23:59"
]
],
"today_holidays": [
{
"title": "New Holiday",
"from": "2020-07-06",
"to": "2020-07-06"
}
]
},
"total":1,
"success":true
}Resource Add
POST /api/v2/resource_add : Create a new resource.
- Required parameters:
title- Title of the resource
- Optional parameters:
parent_id- ID of the parent resource. If provided, creates a resource part. Resource parts cannot have their own parts.platform_status- Activated on platform (default: 1)street_hnr- Street and house numberzip- ZIP/Postal codecity- City namecountry- Countrycontact_person- Contact person for the resourcephone- Phone numberfax- Fax numberinternal_comment- Internal commentpublic_comment- Public commentlat- Latitudelng- Longitudetags- Tags for the resource. Provide as a comma-separated string. Example:Tag1, Tag2, Tag3customfields- Custom fields for the resource (only allowed for main resources, not for resource parts). Format:json{ "field_id1": "value1", "field_id2": "value2" }
Notes
- Main resources (no
parent_id) are subject to the locations quota limit. - Resource parts (with
parent_id) are subject to the location_parts quota limit per parent resource. - Custom fields can only be set on main resources, not on resource parts.
- Resource parts can only be added to main resources, not to other resource parts.
- When providing address information (
street_hnr,zip,city), the system will:- Check if a place with these address details already exists.
- If a place exists with the same address and contact person, the resource will be linked to that place.
- If no matching place exists, a new place will be created and the resource will be linked to it.
- The address information is stored in the places system, not directly on the resource.
Example request
POST /api/v2/resource_addjson
{
"api_secret_key": "<api_secret_key>",
"title": "Meeting Room A",
"description": "A spacious meeting room with modern amenities",
"street_hnr": "Main Street 123",
"zip": "10115",
"city": "Berlin",
"contact_person": "John Smith",
"phone": "+49 30 1234567",
"tags": "Meeting Room, Conference, Projector"
}Example response
json
{
"data": {
"id": 9876,
"message": "Resource added successfully"
},
"success": true
}